[arch-commits] Commit in xaw3d/trunk (4 files)

Jan de Groot jgc at archlinux.org
Sun May 10 18:05:06 UTC 2009


    Date: Sunday, May 10, 2009 @ 14:05:06
  Author: jgc
Revision: 38891

upgpkg: xaw3d 1.5E-2
    Cleanup PKGBUILD a little bit
Get rid of libxp dependency
Add some more patches from Fedora

Added:
  xaw3d/trunk/Xaw3d-1.5E-lex.patch
  xaw3d/trunk/Xaw3d-1.5E-warnings.patch
  xaw3d/trunk/Xaw3d-ia64.patch
Modified:
  xaw3d/trunk/PKGBUILD

---------------------------+
 PKGBUILD                  |   63 +++++++++++-------------
 Xaw3d-1.5E-lex.patch      |   17 ++++++
 Xaw3d-1.5E-warnings.patch |  114 ++++++++++++++++++++++++++++++++++++++++++++
 Xaw3d-ia64.patch          |   33 ++++++++++++
 4 files changed, 194 insertions(+), 33 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 18:03:12 UTC (rev 38890)
+++ PKGBUILD	2009-05-10 18:05:06 UTC (rev 38891)
@@ -4,49 +4,46 @@
 
 pkgname=xaw3d
 pkgver=1.5E
-pkgrel=1
+pkgrel=2
 pkgdesc="Three-D Athena widgets"
 arch=('i686' 'x86_64')
 url="http://freshmeat.net/projects/xaw3d/d"
 license=('MIT')
-depends=('libxp' 'libxmu' 'libxpm')
+depends=('libxmu' 'libxpm')
 makedepends=('imake')
 options=('!makeflags' 'force')
-source=(ftp://ftp.visi.com/users/hawkeyd/X/Xaw3d-${pkgver}.tar.gz \
-        Xaw3d-1.5E-xorg-imake.patch Xaw3d-1.5-i18n.patch \
-        Xaw3d-1.5-box.c.patch Xaw3d-1.5-debian-fixes.patch \
-        xaw3d.patch LICENSE)
-md5sums=('29ecfdcd6bcf47f62ecfd672d31269a1' '2cca7950cf7d270609bc810b8996f0a9'\
-         'e7105bc1452f0c5f5d0bcdcf212aac0c' 'c061ab65467766f5817752ef216e3cc2'\
-         '33bf0f1b52822b7293a3f45474178dfe' '5acb23e5a52c75e62a22aef59882df14'\
+source=(ftp://ftp.visi.com/users/hawkeyd/X/Xaw3d-${pkgver}.tar.gz
+        Xaw3d-1.5E-xorg-imake.patch
+	Xaw3d-1.5-i18n.patch
+        Xaw3d-1.5-box.c.patch
+       	Xaw3d-1.5-debian-fixes.patch
+        xaw3d.patch
+	Xaw3d-1.5E-warnings.patch
+	Xaw3d-ia64.patch
+	LICENSE)
+md5sums=('29ecfdcd6bcf47f62ecfd672d31269a1'
+         '2cca7950cf7d270609bc810b8996f0a9'
+         'e7105bc1452f0c5f5d0bcdcf212aac0c'
+         'c061ab65467766f5817752ef216e3cc2'
+         '33bf0f1b52822b7293a3f45474178dfe'
+         '5acb23e5a52c75e62a22aef59882df14'
+         'c3aa4cbf95442081e7af810c13306cc9'
+         'f766e8eb6371cbb1f68af4f2932dc118'
          '5b6b0242b3f53b7fe308e702abe28561')
-sha1sums=('efc5b923feda52866c859c59a5b553cb675a69d1'
-          '8c3e57bd48028e8e8219fb43bfd3804bbd09ed43'
-          '27d409ce223d4fc3b81dd8217d5774b877695087'
-          'b57f68f19d6c9f501be94606c649fcaf8e1bd3ec'
-          'b1821f7b7d7aa01d255c99d2a713af5174674ea8'
-          '18274b06ccff395fe541b44c8821b55a2c15ebb4'
-          'f4c6ea3294b6ca41e17b7a83530bd694af6f1f5a')
 
 build() {
   cd ${srcdir}/xc/lib/Xaw3d
-  patch -p0 < ${srcdir}/Xaw3d-1.5E-xorg-imake.patch || return 1
-  patch -p4 < ${srcdir}/xaw3d.patch || return 1
-  patch -p4 < ${srcdir}/Xaw3d-1.5-i18n.patch || return 1
-  patch -p4 < ${srcdir}/Xaw3d-1.5-box.c.patch || return 1
-  patch -p4 < ${srcdir}/Xaw3d-1.5-debian-fixes.patch || return 1
+  patch -Np0 -i "${srcdir}/Xaw3d-1.5E-xorg-imake.patch" || return 1
+  patch -Np4 -i "${srcdir}/xaw3d.patch" || return 1
+  patch -Np4 -i "${srcdir}/Xaw3d-ia64.patch" || return 1
+  patch -Np4 -i "${srcdir}/Xaw3d-1.5-i18n.patch" || return 1
+  patch -Np4 -i "${srcdir}/Xaw3d-1.5-box.c.patch" || return 1
+  patch -Np4 -i "${srcdir}/Xaw3d-1.5-debian-fixes.patch" || return 1
+  patch -Np4 -i "${srcdir}/Xaw3d-1.5E-warnings.patch" || return 1
 
-  mkdir X11
-  cd X11
-  ln -sf ../../Xaw3d .
-  cd ..
-
+  ln -s .. X11
   xmkmf || return 1
-  # fix for the lib location
-  [ "$CARCH" = "x86_64" ] && (sed -i -e "s:lib64:lib:g" Makefile || return 1)
-  make includes || return 1
-  make depend || return 1
-  make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 ${srcdir}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+  make CDEBUGFLAGS="${CFLAGS} -DARROW_SCROLLBAR"
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }

Added: Xaw3d-1.5E-lex.patch
===================================================================
--- Xaw3d-1.5E-lex.patch	                        (rev 0)
+++ Xaw3d-1.5E-lex.patch	2009-05-10 18:05:06 UTC (rev 38891)
@@ -0,0 +1,17 @@
+--- Xaw3d-1.5E/xc/lib/Xaw3d/laylex.l.orig	2004-11-30 16:27:01.853702426 +0100
++++ Xaw3d-1.5E/xc/lib/Xaw3d/laylex.l	2004-11-30 16:27:29.298646332 +0100
+@@ -86,12 +86,14 @@
+     return i;
+ }
+ 
++static void
+ yysetsource(s)
+     char    *s;
+ {
+     yysourcebase = yysource = s;
+ }
+ 
++static void
+ yyerror(s)
+     char    *s;
+ {

Added: Xaw3d-1.5E-warnings.patch
===================================================================
--- Xaw3d-1.5E-warnings.patch	                        (rev 0)
+++ Xaw3d-1.5E-warnings.patch	2009-05-10 18:05:06 UTC (rev 38891)
@@ -0,0 +1,114 @@
+--- Xaw3d-1.5E/xc/lib/Xaw3d/MultiSrc.c	2009-03-15 17:04:35.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/MultiSrc.c	2009-03-15 14:22:05.000000000 +0100
+@@ -77,6 +77,7 @@
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <fcntl.h>
++#include <wchar.h>
+ 
+ /****************************************************************
+  *
+--- Xaw3d-1.5E/xc/lib/Xaw3d/Panner.c	2000-11-27 14:19:24.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/Panner.c	2009-03-15 13:50:40.000000000 +0100
+@@ -36,7 +36,7 @@
+ #include <X11/Xmu/Misc.h>		/* for Min */
+ #include <X11/Xmu/Drawing.h>
+ #include <ctype.h>			/* for isascii() etc. */
+-#include <math.h>			/* for atof() */
++#include <stdlib.h>			/* for atof() */
+ 
+ extern Bool XmuDistinguishablePixels(); /* not defined in any Xmu headers */
+ 
+--- Xaw3d-1.5E/xc/lib/Xaw3d/Text.c	2009-03-15 17:04:35.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/Text.c	2009-03-15 13:54:10.000000000 +0100
+@@ -75,6 +75,7 @@
+ #include <X11/Xfuncs.h>
+ #include <ctype.h>		/* for isprint() */
+ #include <stdlib.h>
++#include <wchar.h>
+ 
+ #include "XawAlloc.h"
+ 
+--- Xaw3d-1.5E/xc/lib/Xaw3d/TextAction.c	2000-11-27 14:19:36.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/TextAction.c	2009-03-15 14:19:27.000000000 +0100
+@@ -45,7 +45,9 @@
+ #include "XawI18n.h"
+ #endif
+ #include <stdio.h>
++#include <stdlib.h>
+ #include <ctype.h>
++#include <wchar.h>
+ 
+ #define SrcScan                XawTextSourceScan
+ #define FindDist               XawTextSinkFindDistance
+--- Xaw3d-1.5E/xc/lib/Xaw3d/TextPop.c	2009-03-15 17:04:35.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/TextPop.c	2009-03-15 14:19:44.000000000 +0100
+@@ -65,6 +65,7 @@
+ #include <stdio.h>
+ #include <X11/Xos.h>		/* for O_RDONLY */
+ #include <errno.h>
++#include <wchar.h>
+ 
+ #include "XawAlloc.h"
+ 
+--- Xaw3d-1.5E/xc/lib/Xaw3d/TextSrc.c	2000-11-27 14:19:36.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/TextSrc.c	2009-03-15 14:19:13.000000000 +0100
+@@ -49,6 +49,7 @@
+ #endif
+ #include <stdio.h>
+ #include <ctype.h>
++#include <wchar.h>
+ 
+ /****************************************************************
+  *
+--- Xaw3d-1.5E/xc/lib/Xaw3d/ThreeD.c	2003-02-11 12:41:56.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/ThreeD.c	2009-03-15 14:21:20.000000000 +0100
+@@ -39,6 +39,7 @@
+ #include <X11/Xaw3d/XawInit.h>
+ #include <X11/Xaw3d/ThreeDP.h>
+ #include <X11/Xosdefs.h>
++#include <X11/Xmu/CharSet.h>
+ 
+ /* Initialization of defaults */
+ 
+--- Xaw3d-1.5E/xc/lib/Xaw3d/Tip.c	2003-03-09 01:31:49.000000000 +0100
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/Tip.c	2009-03-15 14:21:36.000000000 +0100
+@@ -41,6 +41,7 @@
+ #include <X11/Xmu/Converters.h>
+ #include <X11/Xaw3d/TipP.h>
+ #include <X11/Xaw3d/XawInit.h>
++#include <stdlib.h>
+ 
+ #define	TIP_EVENT_MASK (ButtonPressMask	  |	\
+ 			ButtonReleaseMask |	\
+--- Xaw3d-1.5E/xc/lib/Xaw3d/XawI18n.c	1996-10-15 16:41:25.000000000 +0200
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/XawI18n.c	2009-03-15 14:23:11.000000000 +0100
+@@ -55,6 +55,7 @@
+ 
+ */
+ 
++#include <stdlib.h>
+ #include <X11/IntrinsicP.h>
+ #include "XawI18n.h"
+ 
+--- Xaw3d-1.5E/xc/lib/Xaw3d/XawIm.c	1998-04-21 15:42:02.000000000 +0200
++++ Xaw3d-1.5E.new/xc/lib/Xaw3d/XawIm.c	2009-03-15 14:22:41.000000000 +0100
+@@ -59,6 +59,7 @@
+ #include <X11/Xos.h>
+ #include <X11/Xfuncs.h>
+ #include <X11/ShellP.h>
++#include <X11/ResourceI.h>
+ #include <X11/Xaw3d/TextP.h>
+ #include <X11/Xaw3d/MultiSrc.h>
+ #include <X11/Xaw3d/MultiSinkP.h>
+diff -up Xaw3d-1.5E/xc/lib/Xaw3d/XawI18n.h~ Xaw3d-1.5E/xc/lib/Xaw3d/XawI18n.h
+--- Xaw3d-1.5E/xc/lib/Xaw3d/XawI18n.h~	1996-10-15 16:41:26.000000000 +0200
++++ Xaw3d-1.5E/xc/lib/Xaw3d/XawI18n.h	2009-03-15 17:18:04.000000000 +0100
+@@ -72,7 +72,4 @@ extern wchar_t _Xaw_atowc (
+ 
+ #ifndef HAS_ISW_FUNCS
+ #include <ctype.h>
+-#ifndef iswspace
+-#define iswspace(c) (isascii(c) && isspace(toascii(c)))
+-#endif
+ #endif

Added: Xaw3d-ia64.patch
===================================================================
--- Xaw3d-ia64.patch	                        (rev 0)
+++ Xaw3d-ia64.patch	2009-05-10 18:05:06 UTC (rev 38891)
@@ -0,0 +1,33 @@
+diff -up Xaw3d-1.5E/xc/lib/Xaw3d/List.c.prototypes Xaw3d-1.5E/xc/lib/Xaw3d/List.c
+--- Xaw3d-1.5E/xc/lib/Xaw3d/List.c.prototypes	2000-11-27 14:19:36.000000000 +0100
++++ Xaw3d-1.5E/xc/lib/Xaw3d/List.c	2008-10-06 10:11:28.000000000 +0200
+@@ -38,6 +38,7 @@ in this Software without prior written a
+ 
+ #include "Xaw3dP.h"
+ #include <stdio.h>
++#include <stdlib.h>
+ #include <ctype.h>
+ #include <X11/IntrinsicP.h>
+ #include <X11/StringDefs.h>
+diff -up Xaw3d-1.5E/xc/lib/Xaw3d/MultiSink.c.prototypes Xaw3d-1.5E/xc/lib/Xaw3d/MultiSink.c
+--- Xaw3d-1.5E/xc/lib/Xaw3d/MultiSink.c.prototypes	1996-10-15 16:41:20.000000000 +0200
++++ Xaw3d-1.5E/xc/lib/Xaw3d/MultiSink.c	2008-10-06 10:10:37.000000000 +0200
+@@ -81,6 +81,7 @@ SOFTWARE.
+ #include <X11/Xaw3d/TextP.h>
+ #include "XawI18n.h"
+ #include <stdio.h>
++#include <stdlib.h>
+ #include <ctype.h>
+ 
+ #ifdef GETLASTPOS
+diff -up Xaw3d-1.5E/xc/lib/Xaw3d/Text.c.prototypes Xaw3d-1.5E/xc/lib/Xaw3d/Text.c
+--- Xaw3d-1.5E/xc/lib/Xaw3d/Text.c.prototypes	2003-02-10 18:28:13.000000000 +0100
++++ Xaw3d-1.5E/xc/lib/Xaw3d/Text.c	2008-10-06 10:11:11.000000000 +0200
+@@ -74,6 +74,7 @@ SOFTWARE.
+ #include <X11/Xaw3d/ThreeDP.h>
+ #include <X11/Xfuncs.h>
+ #include <ctype.h>		/* for isprint() */
++#include <stdlib.h>
+ 
+ #ifndef MAX_LEN_CT
+ #define MAX_LEN_CT 6		/* for sequence: ESC $ ( A \xx \xx */




More information about the arch-commits mailing list